# Class PropertyMapBuilder

java.lang.Object
com.thaiopensource.util.PropertyMapBuilder

public class PropertyMapBuilder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyMapBuilder()`
  `PropertyMapBuilder(PropertyMap pm)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(PropertyMap pm)`
  `boolean`
  `contains(PropertyId<?> pid)`
  `<T> T`
  `get(PropertyId<T> pid)`
  `<T> T`
  `put(PropertyId<T> id, T value)`
  `PropertyMap`
  `toPropertyMap()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyMapBuilder

    public PropertyMapBuilder()

  - ### PropertyMapBuilder

    public PropertyMapBuilder(PropertyMap pm)

- ## Method Details

  - ### add

    public void add(PropertyMap pm)

  - ### toPropertyMap

    public PropertyMap toPropertyMap()

  - ### put

    public <T> T put(PropertyId<T> id, T value)

  - ### get

    public <T> T get(PropertyId<T> pid)

  - ### contains

    public boolean contains(PropertyId<?> pid)